Bug 1016887 - (mingw-c-ares) Review Request: mingw-c-ares - A library for asynchronous DNS operations
Review Request: mingw-c-ares - A library for asynchronous DNS operations
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sandro Mani
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 17:04 EDT by František Dvořák
Modified: 2014-01-27 08:07 EST (History)
3 users (show)

See Also:
Fixed In Version: mingw-c-ares-1.10.0-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-27 08:07:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
manisandro: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description František Dvořák 2013-10-08 17:04:54 EDT
Spec URL: http://scientific.zcu.cz/fedora/mingw-c-ares-1.10.0-1/mingw-c-ares.spec
SRPM URL: http://scientific.zcu.cz/fedora/mingw-c-ares-1.10.0-1/mingw-c-ares-1.10.0-1.fc21.src.rpm
Description: c-ares is a C library that performs DNS requests and name resolves asynchronously. c-ares is a fork of the library named 'ares', written by Greg Hudson at MIT.
Fedora Account System Username: valtri

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6037780
Comment 1 Sandro Mani 2014-01-12 13:23:40 EST
Looks good! Two comments:
- licensecheck lists MIT, BSD and ISC. So I'd suggest License should read:

# ares_getopt.c ares_getopt.h are BSD (3 clause)
# bitncmp.c inet_net_pton.c inet_ntop.c are ISC
# rest is MIT
License: MIT and BSD and ISC

- (Curiosity) Why are you generating and shipping the def file?
Comment 2 František Dvořák 2014-01-12 14:12:26 EST
(In reply to Sandro Mani from comment #1)
> - licensecheck lists MIT, BSD and ISC. 

Thanks, license fixed and comments added.

> 
> - (Curiosity) Why are you generating and shipping the def file?

Some time ago .def files were needed to generate library stubs for M$ Visual C (using its link.exe or lib.exe+link.exe tools), so it's for use-case "pick pre-built dependency libraries from Fedora and use M$VC". But maybe the patching source code because of it is unnecessary complication. :-)


New version:

Spec URL: http://scientific.zcu.cz/fedora/mingw-c-ares-1.10.0-2/mingw-c-ares.spec
SRPM URL: http://scientific.zcu.cz/fedora/mingw-c-ares-1.10.0-2/mingw-c-ares-1.10.0-2.fc21.src.rpm
Comment 3 Sandro Mani 2014-01-12 14:33:49 EST
Concerning the def files, according to [1] one can also generate them from the dll using pexports. But up to you ;) Approved!

[1] https://lists.fedoraproject.org/pipermail/fedora-mingw/2009-February/000439.html

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: mingw32-c-ares : /usr/i686-w64-mingw32/sys-root/mingw/include/ares.h
  mingw32-c-ares : /usr/i686-w64-mingw32/sys-root/mingw/include/ares_build.h
  mingw32-c-ares : /usr/i686-w64-mingw32/sys-root/mingw/include/ares_dns.h
  mingw32-c-ares : /usr/i686-w64-mingw32/sys-root/mingw/include/ares_rules.h
  mingw32-c-ares : /usr/i686-w64-mingw32/sys-root/mingw/include/ares_version.h
  mingw64-c-ares : /usr/x86_64-w64-mingw32/sys-root/mingw/include/ares.h
  mingw64-c-ares : /usr/x86_64-w64-mingw32/sys-root/mingw/include/ares_build.h
  mingw64-c-ares : /usr/x86_64-w64-mingw32/sys-root/mingw/include/ares_dns.h
  mingw64-c-ares : /usr/x86_64-w64-mingw32/sys-root/mingw/include/ares_rules.h
  mingw64-c-ares : /usr/x86_64-w64-mingw32/sys-
  root/mingw/include/ares_version.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
- Static libraries in -static or -devel subpackage, providing -devel if
  present.
  Note: Package has .a files: mingw32-c-ares, mingw64-c-ares. Illegal package
  name: mingw32-c-ares, mingw64-c-ares. Does not provide -static:
  mingw32-c-ares, mingw64-c-ares.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "ISC", "GPL (v2 or later)", "Unknown or generated". 73
     files have unknown license. Detailed output of licensecheck in
     /home/sandro/.Data/Desktop/1016887-mingw-c-ares/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     mingw32-c-ares , mingw64-c-ares
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
     Note: mingw32-c-ares : /usr/i686-w64-mingw32/sys-
     root/mingw/lib/pkgconfig/libcares.pc mingw64-c-ares :
     /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/libcares.pc
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mingw32-c-ares-1.10.0-2.fc21.noarch.rpm
          mingw64-c-ares-1.10.0-2.fc21.noarch.rpm
          mingw-c-ares-1.10.0-2.fc21.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mingw32-c-ares mingw64-c-ares
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
mingw32-c-ares (rpmlib, GLIBC filtered):
    mingw32(advapi32.dll)
    mingw32(kernel32.dll)
    mingw32(msvcrt.dll)
    mingw32(user32.dll)
    mingw32(ws2_32.dll)
    mingw32-crt
    mingw32-filesystem
    mingw32-pkg-config

mingw64-c-ares (rpmlib, GLIBC filtered):
    mingw64(advapi32.dll)
    mingw64(kernel32.dll)
    mingw64(msvcrt.dll)
    mingw64(user32.dll)
    mingw64(ws2_32.dll)
    mingw64-crt
    mingw64-filesystem
    mingw64-pkg-config



Provides
--------
mingw32-c-ares:
    mingw32(libcares-2.dll)
    mingw32-c-ares

mingw64-c-ares:
    mingw64(libcares-2.dll)
    mingw64-c-ares



Source checksums
----------------
http://c-ares.haxx.se/download/c-ares-1.10.0.tar.gz :
  CHECKSUM(SHA256) this package     : 3d701674615d1158e56a59aaede7891f2dde3da0f46a6d3c684e0ae70f52d3db
  CHECKSUM(SHA256) upstream package : 3d701674615d1158e56a59aaede7891f2dde3da0f46a6d3c684e0ae70f52d3db


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1016887
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 4 František Dvořák 2014-01-12 14:51:15 EST
(In reply to Sandro Mani from comment #3)
> Concerning the def files, according to [1] one can also generate them from
> the dll using pexports. But up to you ;) Approved!
> 

Nice! I'll looks better without the patch. :-)

Thank you!
Comment 5 František Dvořák 2014-01-14 02:05:54 EST
New Package SCM Request
=======================
Package Name: mingw-c-ares
Short Description: Library for asynchronous DNS operations
Owners: valtri
Branches: f19 f20
InitialCC:
Comment 6 Gwyn Ciesla 2014-01-14 08:11:51 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2014-01-14 17:47:27 EST
mingw-c-ares-1.10.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mingw-c-ares-1.10.0-2.fc20
Comment 8 Fedora Update System 2014-01-14 17:48:37 EST
mingw-c-ares-1.10.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-c-ares-1.10.0-2.fc19
Comment 9 Fedora Update System 2014-01-16 02:17:50 EST
mingw-c-ares-1.10.0-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 10 Fedora Update System 2014-01-27 08:06:36 EST
mingw-c-ares-1.10.0-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 11 Fedora Update System 2014-01-27 08:07:38 EST
mingw-c-ares-1.10.0-2.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.